%define aurox_ver 9.4
%define rel 3

%define filename Gimp

%define gimp_version 2.0
%define prever pre3

Summary: Perl extensions and plug-ins for the GIMP.
Name: gimp-perl
Epoch: 1
Version: %{gimp_version}
Release: %{aurox_ver}.aur.0.%{prever}.%{rel}
License: GPL/Artistic
Group: Applications/Multimedia
Source0: ftp://ftp.gimp.org/pub/gimp/plug-ins/v2.0/perl/%{filename}-%{version}%{?prever}.tar.gz
URL: http://www.gimp.org/
BuildRequires: perl gimp-devel >= %{gimp_version}
BuildRequires: perl-PDL perl-Gtk2 perl-ExtUtils-Depends perl-Parse-RecDescent >= 1.6
Requires: gimp >= %{gimp_version}
Requires: perl perl-PDL perl-Gtk2 perl-Parse-RecDescent >= 1.6
PreReq: fileutils gawk sh-utils
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The gimp-perl package contains Perl extensions and plug-ins for the
GIMP image manipulation program.


%prep
%setup -q -n %{filename}-%{version}%{?prever}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
sed 's|/usr/bin/gimptool-2.0 --install-admin-bin "$$plugin"|install -m0755 "$$plugin" %{buildroot}/usr/lib/gimp/%{gimp_version}/plug-ins |g' Makefile > Makefile.buildroot
mv Makefile.buildroot Makefile
make
make test

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/lib/gimp/%{gimp_version}/plug-ins
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
                                                                                                                                             
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
                                                                                                                                             
find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi
				                                                                                                                                             

%clean
rm -rf %{buildroot}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Apr 27 2004 Aurox Team <aurox@aurox.org> 1:2.0-9.4.aur.0.pre3.3
- add missing epoch as in previous package
- fix installation in /var/tmp
- initial import

